CVE-2014-1549

HIGH
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The mozilla::dom::AudioBufferSourceNodeEngine::CopyFromInputBuffer function in Mozilla Firefox before 31.0 and Thunderbird before 31.0 does not properly allocate Web Audio buffer memory, which allows remote attackers to execute arbitrary code or cause a denial of service (buffer overflow and application crash) via crafted audio content that is improperly handled during playback buffering.

References

http://secunia.com/advisories/59760

http://secunia.com/advisories/60628

http://www.mozilla.org/security/announce/2014/mfsa2014-57.html

http://www.oracle.com/technetwork/topics/security/bulletinapr2016-2952098.html

http://www.securityfocus.com/bid/68820

http://www.securitytracker.com/id/1030619

http://www.securitytracker.com/id/1030620

https://bugzilla.mozilla.org/show_bug.cgi?id=1020205

https://security.gentoo.org/glsa/201504-01

Details

Source: MITRE

Published: 2014-07-23

Updated: 2017-01-07

Type: CWE-119

Risk Information

CVSS v2

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH

Tenable Plugins

View all (17 total)

IDNameProductFamilySeverity
701246Mozilla Firefox ESR < 24.7 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
high
701240Mozilla Firefox ESR < 24.7 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
high
82632GLSA-201504-01 : Mozilla Products: Multiple vulnerabilitiesNessusGentoo Local Security Checks
critical
76990SuSE 11.3 Security Update : Mozilla Firefox (SAT Patch Number 9569)NessusSuSE Local Security Checks
critical
76989SuSE 11.3 Security Update : Mozilla Firefox (SAT Patch Number 9569)NessusSuSE Local Security Checks
critical
76959openSUSE Security Update : MozillaFirefox (openSUSE-2014-476)NessusSuSE Local Security Checks
critical
76912openSUSE Security Update : openSUSE-2014- (openSUSE-2014--1)NessusSuSE Local Security Checks
critical
76911openSUSE Security Update : openSUSE-2014- (openSUSE-2014--1)NessusSuSE Local Security Checks
critical
8339Mozilla Thunderbird < 31.0 Multiple VulnerabilitiesNessus Network MonitorSMTP Clients
high
8333Mozilla Firefox < 31.0 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
high
76765Mozilla Thunderbird < 31.0 Multiple VulnerabilitiesNessusWindows
critical
76763Firefox < 31.0 Multiple VulnerabilitiesNessusWindows
critical
76761Mozilla Thunderbird < 31.0 Multiple Vulnerabilities (Mac OS X)NessusMacOS X Local Security Checks
critical
76759Firefox < 31.0 Multiple Vulnerabilities (Mac OS X)NessusMacOS X Local Security Checks
critical
76720FreeBSD : mozilla -- multiple vulnerabilities (978b0f76-122d-11e4-afe3-bc5ff4fb5e7b)NessusFreeBSD Local Security Checks
critical
76706Ubuntu 12.04 LTS / 14.04 LTS : thunderbird vulnerabilities (USN-2296-1)NessusUbuntu Local Security Checks
critical
76705Ubuntu 12.04 LTS / 14.04 LTS : firefox vulnerabilities (USN-2295-1)NessusUbuntu Local Security Checks
critical